Subject: [PMOL] Feedback on draft-ietf-pmol-metrics-framework-05

From: "Schmoll, Carsten" <[email-masked]>
Date: Wed, 3 Nov 2010 17:31:33 +0100

Dear authors of draft-ietf-pmol-metrics-framework-05,
 
there is only very few comments I can make on the draft – it is in very good
shape (content- and English-wise)!

here are my few (hopefully helpful) observations:
 
(quoted text is taken from the draft, then afterwards I note a possible
change or addition in each of the following paragraphs)

#########################################################################

“The key areas of variation between different metric users include:
 
* Required reporting formats”

Maybe write here instead:
 
“ * Required reporting formats and periods”

######################################################################### 
 
"Some metrics may not be measured directly, but may be composed from
   base metrics that have been measured."
 
I am not sure about the double use of “may” here. Maybe “can be composed”
would be better?!?
 
#########################################################################
 
"Some parameters linked to the method MAY also be reported, in order
   to fully interpret the Performance Metric.  For example, the time
   interval, the load, the minimum packet loss, etc..."
 
I think it would be useful to note also that it makes sense to report the
possible measurement errors and or the accuracy of results.
e.g. “potential measurement errors and their sources should be noted. The
attainable accuracy of the metric (e.g. +-0,1) should be reported as well.”

######################################################################### 
 
"The objective of this part of the metric definition is to assist
implementers to achieve a consistent result."
 
Change to plural ( “consistent results” ) ?

#########################################################################
   
"(iii) Use and Applications
 
   The use and applications description is intended to assist the "user"
   to understand how, when and where the metric can be applied, and what
   significance the value range for the metric may have.  This MAY
   include a definition of the "typical" and "abnormal" range of the
   Performance Metric, if this was not apparent from the nature of the
   metric.
"

Maybe something could be added like
“The description may (should??) also include information about the influence
of extreme measurement values, i.e. if the metric is very sensitive to
outliers.”

######################################################################### 
 
Space between “Metric” and the dot:
 
"of the Performance Metric ." -> "of the Performance Metric."
 
######################################################################### 
 
“Existing mailing lists SHOULD be used however a dedicated mailing list MAY
be initiated if necessary to facilitate work on a draft.”
 
I recommend to add a comma after “used”.

#########################################################################
 
Best regards
Carsten

-- 
"With great power comes great responsibility!”  What power, you ask?  UNIX
root privileges.
 
Carsten Schmoll
Dipl.-Ing.
Project Manager
Network Research
+49 (0) 30 3463-7136
 
Fraunhofer FOKUS
www.fokus.fraunhofer.de

---

From: Benoit Claise <[email-masked]>
Date: Tue, 16 Nov 2010 10:32:40 +0100

Hi Carsten,

Thanks for your review.
> there is only very few comments I can make on the draft -- it is in very good
> "The key areas of variation between different metric users include:
>   
> * Required reporting formats"
>   
>   
> " * Required reporting formats and periods"
Done.
> I am not sure about the double use of "may" here. Maybe "can be composed"
> would be better?!?
Done.
> e.g. "potential measurement errors and their sources should be noted. The
> attainable accuracy of the metric (e.g. +-0,1) should be reported as well."
OLD:

    Some parameters linked to the method MAY also be reported, in order
    to fully interpret the Performance Metric.  For example, the time
    interval, the load, the minimum packet loss, etc...

NEW:
           Some parameters linked to the method MAY also be reported, in
           order to fully interpret the Performance Metric. For example, 
the
           time interval, the load, the minimum packet loss, the 
potential measurement
           errors and their sources, the attainable accuracy of the 
metric (e.g. +/-0,1)
           etc..

> Change to plural ( "consistent results" ) ?
Done.
> "The description may (should??) also include information about the influence
> outliers."
OLD:
              The use and applications description is intended to assist 
the "user"
               to understand how, when and where the metric can be 
applied, and what
               significance the value range for the metric may have. 
This MAY
               include a definition of the "typical" and "abnormal" 
range of the
               Performance Metric, if this was not apparent from the 
nature of the metric.

NEW:
             The use and applications description is intended to assist 
the "user"
               to understand how, when and where the metric can be 
applied, and what
               significance the value range for the metric may have. 
This MAY
               include a definition of the "typical" and "abnormal" 
range of the
               Performance Metric, if this was not apparent from the 
nature of the metric.
_The description MAY include information about the influence of extreme
               measurement values, i.e. if the Performance Metric is 
sensitive to
               outliers._
> Space between "Metric" and the dot:
>   
Done.
> "Existing mailing lists SHOULD be used however a dedicated mailing list MAY
> be initiated if necessary to facilitate work on a draft."
>   
> I recommend to add a comma after "used".
Done.

Thanks again for your feedback.

Regards, Benoit
> _______________________________________________
> PMOL mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pmol